/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2010 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.01 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_01.txt                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+
*/

/* $Id: header 297205 2010-03-30 21:09:07Z johannes $ */

#ifndef PHP_REPORTS_H
#define PHP_REPORTS_H

#define PHP_REPORTS_VERSION "1.5.7"

extern zend_module_entry php_reports_module_entry;
#define phpext_php_reports_ptr &php_reports_module_entry

#ifdef PHP_WIN32
#	define PHP_REPORTS_API __declspec(dllexport)
#elif defined(__GNUC__) && __GNUC__ >= 4
#	define PHP_REPORTS_API __attribute__ ((visibility("default")))
#else
#	define PHP_REPORTS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(php_reports);
PHP_MSHUTDOWN_FUNCTION(php_reports);
PHP_RINIT_FUNCTION(php_reports);
PHP_RSHUTDOWN_FUNCTION(php_reports);
PHP_MINFO_FUNCTION(php_reports);

PHP_FUNCTION(fr_version);
PHP_FUNCTION(fr_set_log_level);
PHP_FUNCTION(fr_set_log_flag);
PHP_FUNCTION(fr_set_defaults);
PHP_FUNCTION(fr_renders);
PHP_FUNCTION(fr_render);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(php_reports)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(php_reports)
*/

/* In every utility function you add that needs to use variables 
   in php_php_reports_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as PHP_REPORTS_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define PHP_REPORTS_G(v) TSRMG(php_reports_globals_id, zend_php_reports_globals *, v)
#else
#define PHP_REPORTS_G(v) (php_reports_globals.v)
#endif

#endif	/* PHP_REPORTS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */