#!/usr/bin/env python
# coding: utf-8

import sys
from field import reports

param = {
    # テンプレート
    "template": [
        {"*": {"src": "./mitumori.pdf", "rows": 10}}
    ],

    # フィールド値
    "context": [
        {
            "date": "${NOW}",
            "number": "10R0002",
            "to": "△△△惣菜株式会社",
            "title": "今週の献立",
            "delivery_date": "2011-03-01",
            "delivery_place": "貴社指定場所",
            "payment_terms": "銀行振込",
            "expiration_date": "発行から３ヶ月以内",
            "stamp1": {"icon": "./stamp.png"},
            "table": [
                [1, "N001", "豚肉", "200g", 230, 460],
                [2, "G001", "エビ", "16尾", 40, 640],
                [3, "Y001", "小松菜", "1束", 120, 120],
                [4, "Y002", "ミツバ", "2束", 30, 60],
                [5, "Y003", "ショウガ", "1かけ", 30, 30],
                [6, "Y004", "大根", "1本", 120, 120],
                [7, "Y005", "水煮コーン", "1缶", 130, 130],
                [8, "K001", "片栗粉", "1袋", 150, 150],
                [9, "K002", "コーンスープの元", "2袋", 40, 80],
                [10, "T001", "卵", "１パック", 140, 140],
                [11, "T002", "牛乳", "１本", 180, 180],
                [12, "M001", "絹ごし豆腐", "2丁", 60, 120],
                [13, "C001", "みりん", "大さじ2", "‐", "‐"],
                [14, "C002", "しょうゆ", "大さじ7", "‐", "‐"],
                [15, "C003", "酢", "大さじ4", "‐", "‐"],
                [16, "C004", "砂糖", "大さじ3", "‐", "‐"],
                [17, "C005", "コショウ", "少々", "‐", "‐"],
                [18, "C006", "粉山椒", "少々", "‐", "‐"],
                [19, "C007", "赤唐辛子", "1パック", 180, 180],
                [20, "C008", "ごま油", "大さじ2", "‐", "‐"],
                [21, "C009", "サラダ油", "大さじ4", "‐", "‐"],
                [22, "S001", "酒", "大さじ3", "‐", "‐"],
                [23, "O001", "ホットケーキミックス", "200g", 80, 160],
                [24, "O002", "だし汁", "300ml", "‐", "‐"]
            ],
            "sub_total": 2570,
            "tax": 128,
            "total": 2699,
            "remark": """エビと豆腐のショウガ炒め（４人分）
ミツバの卵とじ（４人分）
大根のピリ辛漬け（４人分）
コーンカップケーキ （４人分）"""
        }
    ],

    # スタイル指定
    "style": [
        {"*.date": {"datetime": "GGE年M月D日"}},
        {"*.delivery_date": {"datetime": "GGE年M月D日"}},
        {"*.total": {"format": "###,###円"}},
        {"*.sub_total": {"format": "###,###円"}},
        {"*.tax": {"format": "###,###円"}},
        {"*.table.*.[4:6]": {"format": "###,###円"}},
        {"[1:].stamp1": {"visible": False}},
        {"[1:].remark": {"visible": False}},
        {"*.table.[1::2]": {"background-color": [220, 220, 255]}}
    ]
}

if __name__ == "__main__":
    if len(sys.argv) == 2:
        reports.set_log_level(3)
        reports.render(param, sys.argv[1])
    else:
        print("usage: %s <outfile>" % (sys.argv[0], ))

